<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>We Only Find Them When They're Dead</Series>
  <Number>7</Number>
  <Web>https://www.comixology.com/We-Only-Find-Them-When-They-re-Dead-7/digital-comic/945790</Web>
  <Summary>Marlyn Chen, Ambassador for the Inner Worlds, arrives at Malik's Flight to broker peace between the Harvesters and the Worshippers.
*  When Jason Hauer, one of the fated Vihaan II crew, is pulled into these talks, he will soon discover that like all politics, nothing is as it seems...</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB945790], [ASINB095L6N7XQ]</Notes>
  <Publisher>BOOM! Studios</Publisher>
  <Genre>Action/Adventure, Science Fiction</Genre>
  <PageCount>28</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
